Bug 833329 - Wrong/No completion for bind variable in Drools Rule Editor
Wrong/No completion for bind variable in Drools Rule Editor
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity medium
: CR2
: 5.3.0 GA
Assigned To: Default User
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 04:55 EDT by Toshiya Kobayashi
Modified: 2014-10-15 13:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There were problems concerning the completion for bind variables in the Drools Rule Editor. When attempting to use this feature, users would find that the completion was either incorrect or missing. This problem has now been addressed. As a result, the completion occurs as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:25:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-12212 Major Resolved Wrong/No completion for bind variable in Drools Rule Editor 2012-08-14 01:18:38 EDT
JBoss Issue Tracker JBIDE-12285 Major Closed Enable and Fix Tests for DRL Editor 2012-08-14 01:18:37 EDT

  None (edit)
Description Toshiya Kobayashi 2012-06-19 04:55:18 EDT
Description of problem:

See details in https://issues.jboss.org/browse/JBIDE-12212
  
Actual results:

# please download test case from JBIDE-12212

Sample03.drl : Click ctrl+space after '$p.' -> wrong popup including 'and' 'eval'...
Sample04.drl : Click ctrl+space after '$p.' -> no popup

Expected results:

Sample03.drl : Click ctrl+space after '$p.' -> popup including 'name'
Sample04.drl : Click ctrl+space after '$p.' -> popup including 'getName()'
Comment 2 Rick Wagner 2012-06-28 10:17:57 EDT
GSS has a customer that would really like this change in the near future.  Can we please include it before SOA tooling goes GA with 5.3?

Thanks,

Rick
Comment 4 Len DiMaggio 2012-06-28 10:49:47 EDT
Link to: JBIDE-12212
Comment 5 JBoss JIRA Server 2012-07-06 11:30:54 EDT
Douglas Palmer <dpalmer@redhat.com> updated the status of jira JBIDE-12212 to Resolved
Comment 6 JBoss JIRA Server 2012-07-06 11:30:54 EDT
Douglas Palmer <dpalmer@redhat.com> made a comment on jira JBIDE-12212

Fixed upstream
Comment 7 JBoss JIRA Server 2012-07-06 11:31:06 EDT
Douglas Palmer <dpalmer@redhat.com> updated the status of jira JBIDE-12285 to Resolved
Comment 8 JBoss JIRA Server 2012-07-06 11:31:06 EDT
Douglas Palmer <dpalmer@redhat.com> made a comment on jira JBIDE-12285

Fixed upstream
Comment 10 Lukáš Petrovický 2012-07-11 08:31:50 EDT
VERIFIED with the bits from http://www.qa.jboss.com/binaries/RHDS/updates/development/5.0.0.CR2.soa-tooling/
Comment 11 JBoss JIRA Server 2012-07-11 12:00:51 EDT
Jiri Peterka <jpeterka@redhat.com> updated the status of jira JBIDE-12285 to Closed
Comment 12 Suz 2012-07-16 20:27:45 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
There were problems concerning the completion for bind variables in the Drools Rule Editor. When attempting to use this feature, users would find that the completion was either incorrect or missing. This problem has now been addressed. As a result, the completion occurs as expected.

Note You need to log in before you can comment on or make changes to this bug.